### Method

# Shumate Location distance

unstable since: 1.2

#### Declaration [src]

    double
    shumate_location_distance (
      ShumateLocation* this,
      ShumateLocation* other
    )

#### Description [src]

Calculates the distance in meters between two locations.

This function uses the great-circle distance formula, which assumes Earth is a perfect sphere. This limits the accuracy of the result, but is good enough for most purposes.

Available since: 1.2

#### Parameters

`other`

  Type: `ShumateLocation`

  A `ShumateLocation`

  The data is owned by the caller of the method.

#### Return value

Type: `double`

The distance in meters between `this` and `other`.